import { Component } from 'react'
import Taro from '@tarojs/taro'
import store, { StoreRoot, useModel } from './store'

import './app.less'


class App extends Component {

  componentDidMount () { }

  componentDidShow () { }
  onLaunch (options) {

    const { logins, setUserLocation } = store.getModel('userData').getState()


    // 登录获取人员信息

    Taro.getLocation({
      type: 'gcj02',
      success (res) {
        const location = `${res.longitude},${res.latitude}`
        setUserLocation(location)

      },
      fail (err) {
        console.error(err)
        // reject(err)
        Taro.showToast({
          title: '获取定位失败',
          icon: 'none',
        })
      }
    })


    Taro.login({
      success: (res) => {
        const { code } = res;
        logins({ code })

      }
    })

  }

  // this.props.children 是将要会渲染的页面
  render () {
    return (
      <StoreRoot>
        {this.props.children}
      </StoreRoot>
    )
  }
}
export default App
