
import { View, Swiper, Image, SwiperItem, Text, Input } from "@tarojs/components"
import { useEffect, useState, useMemo } from "react"
import Taro, { useReachBottom } from "@tarojs/taro"
import ButtontWX from '@/components/ButtontWX'
import withLayout from '@/layouts'
import addresss from '@/assets/mineImgaes/addresss.png'//地址
import { useModel } from "@/store"
import ListPlaceholder from "@/components/ListPlaceholder"
import { getMachinery, } from "@/services/homes"
import formatPrice from "@/utils/formatPrice"
import { setMorKm } from '@/utils/codeSegment'


import './style.less'

export default withLayout((props) => {

  const { carsList } = props
  const { sserLocation } = useModel('userData')
  // const { carsList } = props

  // const [carsList, setCarsList] = useState([])

  // useEffect(() => {
  //   getMachinery(sserLocation).then((e) => {
  //     setCarsList(e.records)
  //   })

  // }, [sserLocation])




  const startReserve = (res) => {
    Taro.navigateTo({ url: `/pages/OrderConfirmation/index?id=${res}&location=${sserLocation}` })

  }
  const goCarsInfo = (res) => {
    Taro.navigateTo({ url: `/pages/CheckDetails/index?id=${res}&location=${sserLocation}` })

  }
  const goMapInfo = (res) => {
    console.log("🚀 ~ file: index.jsx ~ line 43 ~ goMapInfo ~ res", res)
    Taro.navigateTo({ url: `/pages/CheckMap/index?id=${res}&location=${sserLocation}` })


  }


  return (


    <>
      {
        carsList?.length > 0 ? carsList.map((item, index) => {
          return (
            <View key={index} className='carsListImga-bottom-box'>
              <Image src={item.thumb} onClick={() => goCarsInfo(item.machineryId)} />
              <View className='carsListImga-bottom-box-flaxBox'>
                <View className='carsListImga-bottom-box-flaxBox-liftText'>
                  <View className='carsListImga-bottom-box-flaxBox-liftText-Titles'>{item.name}</View>
                  <View className='carsListImga-bottom-box-flaxBox-liftText-price'>{formatPrice(item.price)}/<Text>亩</Text></View>
                </View>
                <View className='carsListImga-bottom-box-flaxBox-rightBut'>
                  <ButtontWX onClick={() => startReserve(item.machineryId)} butText='预约' butWidth={80} butHeight={34} butFontSize={19} butBorderRadius={0} />
                </View>
              </View>
              <View className='content-header-box-map' onClick={() => goMapInfo(item.machineryId)}>
                <View className='content-header-box-map-liftCentent'>
                  <Image src={addresss} />
                  <View>距离当前位置{setMorKm(item.distance)}</View>
                </View>
                <View className='content-header-box-map-rightCentent'>进入地图&gt;&gt;</View>
              </View>
            </View>
          )
        }) : <ListPlaceholder title='暂无农机信息！' />
      }

    </>
  )
})
