

import useRouter from '@/utils/hooks/useRouter'
import { useEffect, useMemo, useState } from 'react'
import { useModel } from '@/store'
import Spin from "@/components/Spin";

import LoginModel from '@/components/LoginModel'
import useLogin from '@/utils/hooks/useLogin'



export default (Child) => (props) => {
  const { person } = useModel('userData')
  const router = useRouter()
  const { loginVisible } = useLogin()

  // 确保执行过 login 方法，拿到了 person
  const isLoged = useMemo(() => !!person?.personId, [person?.personId])

  return (
    <>
      {!isLoged && <Spin />}
      {
        isLoged && !loginVisible && <Child {...props} router={router} />
      }
      {
        isLoged && loginVisible && <LoginModel isLoginVisible={loginVisible} path={router.path} />
      }
    </>
  )


}









// import useRouter from '@/utils/hooks/useRouter'
// import Taro from '@tarojs/taro'
// import { useState, useMemo } from 'react'
// import { useModel } from '@/store'
// import LoginModel from '@/components/LoginModel'
// import useLogin from '@/utils/hooks/useLogin'


// export default (Child) => (props) => {
//   const { person } = useModel('userData')
//   const router = useRouter()
//   const [isShow, setIsShow] = useState(false)


//   const { path } = router

//   useLogin()
//   console.log("🚀 ~ file: index.jsx ~ line 20 ~   useLogin().abac", useLogin())

//   const isShowFun = () => {
//     setIsShow(true)

//   }
//   // Taro.useReady(()=>{
//   //   useLogin(person,router)
//   // })
//   // useEffect(()=>{
//   //   useLogin(person,router)
//   // },[person, person?.phone, router, router?.path])

//   // 确保执行过 login 方法，拿到了 person
//   const isLoged = useMemo(() => !!person?.personId, [person?.personId])

//   return isLoged ? <Child {...props} router={router} /> : <LoginModel isLoginVisible={isShow} />
// }


