import { View, Image, Radio, RadioGroup } from "@tarojs/components"
import Taro, { useDidShow } from "@tarojs/taro"
import { useState, useEffect } from "react"
import CustomNav from "@/components/CustomNav"
import withLayout from '@/layouts'
import deletes from "@/assets/icons/comm/deletes.png"
import ButtontWX from '@/components/ButtontWX'
import { useModel } from "@/store"
import { addressDefault, getAddress, addressDelete } from "@/services/address"
import edit from "@/assets/icons/comm/edit.png"
import selectImg from "@/assets/icons/selected.png"
import unSelectImg from "@/assets/icons/unSelected.png"
import './style.less'



export default withLayout((props) => {
  const [addresList, setAddresList] = useState([])
  const $instance = Taro.getCurrentInstance()
  const { type } = $instance.router.params
  const { setUserOrderAddress } = useModel('userData')
  const addAddress = () => {
    Taro.navigateTo({ url: `/pages/AddressInfos/index` })
  }
  const addressDeletess = (e) => {
    Taro.showModal({
      title: '提示',
      content: '您确定要删除此地址吗',
      success: function (res) {
        if (res.confirm) {
          addressDelete(e).then((e) => {
            Taro.showToast({
              title: '地址删除成功',
              icon: 'success',
              duration: 2000
            })
            getList()
          })
        } else if (res.cancel) {
          console.log('用户点击取消')
        }
      }
    })
  }

  const handelSwitch = (id) => {
    addressDefault(id).then((res) => {
      getList()
      console.log(addresList);
    })

  }
  const addressEdit = (e, res) => {
    Taro.navigateTo({ url: `/pages/AddressInfos/index?addressId=${e}&address=${res}` })
  }
  const getList = () => {
    getAddress().then((e) => {
      setAddresList(e.records)
    })
  }
  useDidShow(() => {
    console.log(9999);
    getList()
  })

  // useEffect(() => {
  //   getList()
  // }, [])

  const handleAddress = (e) => {
    if (e) {
      setUserOrderAddress(e)
      Taro.showToast({
        title: '选择成功',
        icon: 'success',
        duration: 2000
      }).then(() => {
        setTimeout(() => {
          Taro.navigateBack({
            delta: 1
          })
        }, 300)
      })
    }
  }
  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='地址管理' />
      </View>
      <scroll-view scrollY style='height: 100%;' >
        <View>
          {/* <mp-orderRater raterChange={srcor} initW='50%' /> */}
          {
            addresList.map((item, index) => {
              return (
                <View className='addressList-box' key={item.addressId} >
                  <View className='addressList-box-addressTop' onClick={type ? () => handleAddress(item.address) : {}}>
                    {
                      item.isDefault ?
                        <View className='addressList-box-addressTop-redText'>默认地址</View> : null
                    }
                    <View className='addressList-box-addressTop-title'>我的地址{index + 1}</View>
                  </View>
                  <View className='addressList-box-addressBotton'>
                    <View className='addressList-box-addressBotton-editTextImage'>
                      <View onClick={type ? () => handleAddress(item.address) : {}}>
                        {item.address}
                      </View>
                      <Image src={edit} onClick={() => addressEdit(item.addressId, item.address)} />
                    </View>

                    <View className='addressList-box-addressBotton-setAddress'>
                      {
                        !type ? <>
                          <View>
                            设为默认地址:{
                              item.isDefault ?
                                <Image src={selectImg} className='selectImgClass' />
                                : <Image src={unSelectImg} className='selectImgClass' onClick={() => handelSwitch(item.addressId)} />}
                          </View>
                          <View className='addressList-box-addressBotton-addressDelete' onClick={() => addressDeletess(item.addressId)}>
                            <View>
                              删除
                            </View>
                            <Image src={deletes} />
                          </View>
                        </>
                          : <View className='orderAddressa' onClick={type ? () => handleAddress(item.address) : {}}>
                            选择此地址
                          </View>
                      }
                    </View>
                  </View>
                </View>
              )
            })
          }
          <View className='bottomButtom' >
            <ButtontWX onClick={addAddress} formType='submit' butText='+新增地址' butWidth={315} butHeight={49} butFontSize={16} butBorderRadius={49} />
          </View>
        </View>
      </scroll-view>
    </View >
  )
})