
import { View, Image } from "@tarojs/components"
import Taro, { useDidShow } from "@tarojs/taro"
import { useState, useEffect, useMemo } from "react"
import UserCellBox from '@/components/UserCellBox'
import addresss from '@/assets/mineImgaes/addresss.png'//地址
import aboutUs from '@/assets/mineImgaes/aboutUs.png'//关于我们
import feedbacks from '@/assets/mineImgaes/feedbacks.png'//意见反馈
import helpCenter from '@/assets/mineImgaes/helpCenter.png'//帮助中心
import versionUpdate from '@/assets/mineImgaes/versionUpdate.png'//版本更新
import userMoren from '@/assets/mineImgaes/userMoren.png'//默认头像
import userRight from '@/assets/mineImgaes/userRight.png'
import back from '@/assets/mineImgaes/mineBack.png'

import { useModel } from "@/store"
import withLayout from '@/layouts'
import { getAddress } from "@/services/address"


import './MineCss/style.less'


export default withLayout((props) => {
  const { person } = useModel('userData')
  const [isLoginBox, setIsLoginBox] = useState(false)
  const [addresInfo, setAddresInfo] = useState('')

  const userList = [
    { userTitle: '关于我们', userImg: aboutUs, pageType: 0 },
    { userTitle: '用户协议及隐私政策', userImg: versionUpdate, pageType: 1 },
    { userTitle: '意见反馈', userImg: feedbacks, pageType: 2 },
  ]

  const $instance = Taro.getCurrentInstance()





  useDidShow(() => {
    getAddress().then((e) => {
      let abccList = e.records.sort((a, b) => b.isDefault - a.isDefault)
      if (abccList.length != 0) {
        setAddresInfo(abccList[0].address)
      }
    })
    if ($instance.router.params.userOk || person.phone) {
      setIsLoginBox(true)
    }
  })
  useEffect(() => {

    getAddress().then((e) => {
      let abccList = e.records.sort((a, b) => b.isDefault - a.isDefault)
      setAddresInfo(abccList[0]?.address)
    })
    if ($instance.router.params.userOk || person.phone) {
      setIsLoginBox(true)

    }
  }, [$instance.router.params.userOk, person?.avatar, person?.nickName, person.phone])

  const setAddress = (dd) => {
    Taro.navigateTo({ url: `/pages/MyAddressList/index?id=${dd}` })

  }
  const goUserInfo = (dd) => {
    Taro.navigateTo({ url: `/pages/userInfo/index?id=${dd}` })

  }

  const userLoginnow = () => {
    Taro.navigateTo({ url: `/pages/UserLogin/index?id` })
    // setIsLoginBox(true)
  }
  const goToPages = (res) => {

    switch (res) {
      case 0:
        Taro.navigateTo({ url: '/pages/AboutUsPage/index' })

        break;
      case 1:
        Taro.navigateTo({ url: '/pages/PrivacyAgreement/index' })

        break;
      case 2:
        Taro.navigateTo({ url: '/pages/FeedbackText/index' })
        break;

      default:
        break;
    }
  }


  return (

    <scroll-view scrollY style='height: 100%;' >
      <View>
        {/* 头像 */}
        {
          !isLoginBox ?
            <View className='User-Avatar-background-falseBox'>
              <Image className='Userback' src={back} />

              <Image className='User-Avatar-background-falseBox-userImg userImg' src={userMoren} />
              <View onClick={userLoginnow} className='User-Avatar-background-falseBox-userLogin' >点击登陆</View>
            </View>
            :
            <>
              <View className='User-Avatar-background-trueBox'>
                <Image className='Userback' src={back} />

                <View className='setPassword' onClick={goUserInfo}>修改个人信息</View>
                <Image className='User-Avatar-background-trueBox-userImg' src={person?.avatar || userMoren} />
                <View className='User-Avatar-background-trueBox-name'>
                  <View >{person?.nickName || '请填写姓名'}</View>
                  <View >{person?.phone}</View>
                </View>
              </View>

              <UserCellBox title='地址信息'>
                <View className='addresss-box' onClick={setAddress} >
                  <Image className='addresss-box-images' src={addresss} />
                  <View className='addresss-box-contents'>
                    <View className='addresss-box-contents-texts' >{addresInfo || '请填写详细地址'}</View>
                    <View> &gt;&gt;</View>
                  </View>
                </View>
              </UserCellBox>
            </>
        }


        {/* 菜单 */}
        <UserCellBox title='设置' >
          {
            userList.map((item, index) => {
              return (
                <View key={index} className='User-Setup-background-wxInfo-InfoCell' onClick={() => goToPages(item.pageType)}>
                  <Image className='User-Setup-background-wxInfo-InfoCell-imgae' src={item.userImg} />
                  <View className='box-flex'>
                    <View className='User-Setup-background-wxInfo-InfoCell-text'>{item.userTitle}</View>
                    <Image src={userRight} />
                  </View>
                </View>
              )
            })
          }

        </UserCellBox>

        {/* {
          !isLoginBox ? '' :
            <View className='bottom-buttom'>退出登陆</View>
        } */}

      </View>
    </scroll-view>
  )
})
