
import request from '@/utils/request'



/**
 * 地址保存
 * @param {*} data 
 * @returns 
 */
export const addressSave = (data) => request(`/address`, { data, method: 'POST' })


/**
 * 地址列表
 * @param {*} data 
 * @returns 
 */
export const getAddress = (data) => request(`/address`, { data, method: 'GET' })


/**
* 地址删除
* @param {*} data 
* @returns 
*/
export const addressDelete = (id, data) => request(`/address/${id}`, { data, method: 'DELETE' })


/**
 * 地址修改更新
 * @param {*} data 
 * @returns 
 */
export const addressUpdate = (id, data) => request(`/address/${id}`, { data, method: 'PUT' })


/**
 * 地址是否默认
 * @param {*} data 
 * @returns 
 */
export const addressDefault = (id, data) => request(`/address/${id}/default`, { data, method: 'PUT' })


